# IpeUndoPageEdit Class Reference
[Ipe Management]

Undo item for a modification to the current page. More...

Inherits IpeUndoItem.

List of all members.

## Public Member Functions

- IpeUndoPageEdit (int pno, IpePage *page, IpeString text)
- virtual IpeString Text () const
- virtual int Undo (IpeDocument *doc)
- virtual int Redo (IpeDocument *doc)

## Detailed Description

Undo item for a modification to the current page.

## Constructor & Destructor Documentation

IpeUndoPageEdit::IpeUndoPageEdit | ( | int | pno,
|  | IpePage * | page,
|  | IpeString | text
| ) |

| Takes ownership of page (a copy of the page before the modification).

The documentation for this class was generated from the following files:

- ipeundo.h
- ipeundo.cpp